vlib work
-- compile packages
vcom -explicit  -93 ../tail_biting/sim/globals/global_types_pkg.vhd
vcom -explicit  -93 ../tail_biting/sim/globals/fifo_wrap.vhd
vcom -explicit  -93 ../tail_biting/sim/globals/glb_dpm.vhd

-- compile encoder
vcom -explicit  -93 ../tail_biting/sim/enc/circ_buffer_enc.vhd
vcom -explicit  -93 ../tail_biting/sim/enc/conv_enc.vhd

-- compile channel
vcom -explicit  -93 ../tail_biting/sim/channel/awgn_gen.vhd

-- compile viterbi and buffering
vcom -explicit  -93 ../tail_biting/sim/dec/circ_buffer_dec.vhd
vcom -explicit  -93 ../tail_biting/ipcore_dir/viterbi_v7_0.vhd

vcom -explicit  -93 vitdec_top.vhd
vcom -explicit  -93 ../tail_biting/sim/dec/vit_dec.vhd

-- test bench with stimulus and checks
vcom -explicit  -93 ../tail_biting/sim/test/tb.vhd

-- simulate and run
vsim tb
do wave_vit.do
run 10000 ns
